Subject: Re: HUGE is missing in math.h
From: Jeff Johnston <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 27 Jun 2005 17:25:02 -0400

Corinna Vinschen wrote:
> On Jun 26 09:37, Humberto Bortolossi wrote:
> 
>>Hi!
>>
>>I'm trying to port a C program written originally in
>>Linux to the Microsoft Windows plataform.
>>
>>I've realized that math.h under cygwin doesn't
>>define the macro HUGE, that is defined in
>>the math.h under linux:
>>
>>/* Declarations for math functions.
>>   Copyright (C) 1991-1993,1995-1999,2001,2002 Free Software Foundation, Inc.
>>   This file is part of the GNU C Library.
>> */
>>/* SVID mode specifies returning this large value instead of infinity.  */
>># define HUGE           3.40282347e+38F
>>
>>I thought math.h should be quite portable ...
> 
> 
> HUGE is not portable.  It's not defined in the standard, see
> http://www.opengroup.org/onlinepubs/009695399/basedefs/math.h.html
> Use HUGE_VAL instead. 
> 
> However, other definitions are missing in math.h, like HUGE_VALF,
> HUGE_VALL, INFINITY and NAN.
> 

I'll take a look at adding these unless you want to.  HUGE_VALL is the 
only one that is difficult.

> Since math.h is part of newlib, I've redirect this posting to the
> newlib mailing list.
> 
> 
> Corinna
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/